#ifndef ENTRY_POINT_HPP
#define ENTRY_POINT_HPP

#include "application.hpp"

extern OpenEngine::Application* OpenEngine::CreateApplication();

int main(int argc, char** argv)
{
    OpenEngine::Logger::Init();

    auto app = OpenEngine::CreateApplication();
    app->Run();
    delete app;
}

#endif // ENTRY_POINT_HPP
